package org.apache.maven.wagon;

/*
 * Copyright 2001-2005 The Apache Software Foundation.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import junit.framework.TestCase;
import org.apache.maven.wagon.authorization.AuthorizationException;

/**
 * @author <a href="mailto:jason@maven.org">Jason van Zyl</a>
 * @version $Id: NotAuthorizedExceptionTest.java 162476 2005-04-19 02:49:45Z brett $
 */
public class NotAuthorizedExceptionTest
    extends TestCase
{
    public void testNotAuthorizedExceptionTest()
    {
        AuthorizationException ae = new AuthorizationException( "message" );

        assertEquals( "message", ae.getMessage() );

        ae = new AuthorizationException( "full-message", new Throwable( "cause" ) );

        assertEquals( "full-message", ae.getMessage() );

        assertEquals( "cause", ae.getCause().getMessage() );
    }
}
